org.apache.xmlbeans.impl.xb.xmlconfig.impl

## Class ExtensionconfigImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xmlconfig.impl.ExtensionconfigImpl

All Implemented Interfaces:
  Serializable, TypeStoreUser, Extensionconfig, SimpleValue, XmlObject, XmlTokenSource

    public class ExtensionconfigImpl
    extends XmlComplexContentImpl
    implements Extensionconfig

An XML extensionconfig(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ExtensionconfigImpl.InterfaceImpl` An XML interface(@http://xml.apache.org/xmlbeans/2004/02/xbean/config).
`static class` `ExtensionconfigImpl.PrePostSetImpl` An XML prePostSet(@http://xml.apache.org/xmlbeans/2004/02/xbean/config).

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.Extensionconfig

`Extensionconfig.Interface, Extensionconfig.PrePostSet`

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.Extensionconfig

`Factory, type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Constructor Summary

Constructors
Constructor and Description
`ExtensionconfigImpl(SchemaType sType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Extensionconfig.Interface` `addNewInterface()` Appends and returns a new empty value (as xml) as the last "interface" element
`Extensionconfig.PrePostSet` `addNewPrePostSet()` Appends and returns a new empty "prePostSet" element
`Object` `getFor()` Gets the "for" attribute
`Extensionconfig.Interface[]` `getInterfaceArray()` Gets array of all "interface" elements
`Extensionconfig.Interface` `getInterfaceArray(int i)` Gets ith "interface" element
`List<Extensionconfig.Interface>` `getInterfaceList()` Gets a List of "interface" elements
`Extensionconfig.PrePostSet` `getPrePostSet()` Gets the "prePostSet" element
`Extensionconfig.Interface` `insertNewInterface(int i)` Inserts and returns a new empty value (as xml) as the ith "interface" element
`boolean` `isSetFor()` True if has "for" attribute
`boolean` `isSetPrePostSet()` True if has "prePostSet" element
`void` `removeInterface(int i)` Removes the ith "interface" element
`void` `setFor(Object xfor)` Sets the "for" attribute
`void` `setInterfaceArray(Extensionconfig.Interface[] xinterfaceArray)` Sets array of all "interface" element WARNING: This method is not atomicaly synchronized.
`void` `setInterfaceArray(int i, Extensionconfig.Interface xinterface)` Sets ith "interface" element
`void` `setPrePostSet(Extensionconfig.PrePostSet prePostSet)` Sets the "prePostSet" element
`int` `sizeOfInterfaceArray()` Returns number of "interface" element
`void` `unsetFor()` Unsets the "for" attribute
`void` `unsetPrePostSet()` Unsets the "prePostSet" element
`JavaNameList` `xgetFor()` Gets (as xml) the "for" attribute
`void` `xsetFor(JavaNameList xfor)` Sets (as xml) the "for" attribute

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Constructor Detail

#### ExtensionconfigImpl

    public ExtensionconfigImpl(SchemaType sType)

### Method Detail

#### getInterfaceList

    public List<Extensionconfig.Interface> getInterfaceList()

Gets a List of "interface" elements

Specified by:
  `getInterfaceList` in interface `Extensionconfig`

#### getInterfaceArray

    public Extensionconfig.Interface[] getInterfaceArray()

Gets array of all "interface" elements

Specified by:
  `getInterfaceArray` in interface `Extensionconfig`

#### getInterfaceArray

    public Extensionconfig.Interface getInterfaceArray(int i)

Gets ith "interface" element

Specified by:
  `getInterfaceArray` in interface `Extensionconfig`

#### sizeOfInterfaceArray

    public int sizeOfInterfaceArray()

Returns number of "interface" element

Specified by:
  `sizeOfInterfaceArray` in interface `Extensionconfig`

#### setInterfaceArray

    public void setInterfaceArray(Extensionconfig.Interface[] xinterfaceArray)

Sets array of all "interface" element WARNING: This method is not atomicaly synchronized.

Specified by:
  `setInterfaceArray` in interface `Extensionconfig`

#### setInterfaceArray

    public void setInterfaceArray(int i,
                                  Extensionconfig.Interface xinterface)

Sets ith "interface" element

Specified by:
  `setInterfaceArray` in interface `Extensionconfig`

#### insertNewInterface

    public Extensionconfig.Interface insertNewInterface(int i)

Inserts and returns a new empty value (as xml) as the ith "interface" element

Specified by:
  `insertNewInterface` in interface `Extensionconfig`

#### addNewInterface

    public Extensionconfig.Interface addNewInterface()

Appends and returns a new empty value (as xml) as the last "interface" element

Specified by:
  `addNewInterface` in interface `Extensionconfig`

#### removeInterface

    public void removeInterface(int i)

Removes the ith "interface" element

Specified by:
  `removeInterface` in interface `Extensionconfig`

#### getPrePostSet

    public Extensionconfig.PrePostSet getPrePostSet()

Gets the "prePostSet" element

Specified by:
  `getPrePostSet` in interface `Extensionconfig`

#### isSetPrePostSet

    public boolean isSetPrePostSet()

True if has "prePostSet" element

Specified by:
  `isSetPrePostSet` in interface `Extensionconfig`

#### setPrePostSet

    public void setPrePostSet(Extensionconfig.PrePostSet prePostSet)

Sets the "prePostSet" element

Specified by:
  `setPrePostSet` in interface `Extensionconfig`

#### addNewPrePostSet

    public Extensionconfig.PrePostSet addNewPrePostSet()

Appends and returns a new empty "prePostSet" element

Specified by:
  `addNewPrePostSet` in interface `Extensionconfig`

#### unsetPrePostSet

    public void unsetPrePostSet()

Unsets the "prePostSet" element

Specified by:
  `unsetPrePostSet` in interface `Extensionconfig`

#### getFor

    public Object getFor()

Gets the "for" attribute

Specified by:
  `getFor` in interface `Extensionconfig`

#### xgetFor

    public JavaNameList xgetFor()

Gets (as xml) the "for" attribute

Specified by:
  `xgetFor` in interface `Extensionconfig`

#### isSetFor

    public boolean isSetFor()

True if has "for" attribute

Specified by:
  `isSetFor` in interface `Extensionconfig`

#### setFor

    public void setFor(Object xfor)

Sets the "for" attribute

Specified by:
  `setFor` in interface `Extensionconfig`

#### xsetFor

    public void xsetFor(JavaNameList xfor)

Sets (as xml) the "for" attribute

Specified by:
  `xsetFor` in interface `Extensionconfig`

#### unsetFor

    public void unsetFor()

Unsets the "for" attribute

Specified by:
  `unsetFor` in interface `Extensionconfig`